debian installation

hi! i've problems installing matplotlib under debian with

    > packages provided at mentors.debian.net.

    > I added these lines to my sources.list : deb
    > http://mentors.debian.net/debian unstable main contrib
    > non-free deb-src http://mentors.debian.net/debian
    > unstable main contrib non-free

These are not the /etc/apt/sources.list lines we suggest in the
installation page at http://matplotlib.sf.net/installing.html in the
"Debian" section. Please follow those instructions instead.

What debian variant/version are you using?

It is annoying that the packages an mentors are stale and broken, but
I believe the packages linked to on the installing page are reasonably
current and actually work.

JDH